Subject: [PATCH v2 0/2] always run all lint targets when running the test suite

From: Jens Lehmann <[email-masked]>
Date: Wed, 09 Jul 2014 21:33:28 +0200

Am 09.07.2014 07:42, schrieb Junio C Hamano:
> On Tue, Jul 8, 2014 at 12:24 PM, Jens Lehmann <[email-masked]> wrote:
>>
>> Am 07.07.2014 20:13, schrieb Junio C Hamano:
>>>
>>> So I am not very enthusiastic to see this change myself.
>>
>> Ok, I understand we do not want to lightly risk false positives. I
>> just noticed that I accidentally forgot to sign off this series, so
>> I'd resend just the first patch with a proper SOB, ok?
> 
> 
> Nah, let's do both and how it plays out. My not being very enthusiastic
> myself does not necessarily mean that it is bad for the project. Maybe
> most people like it and if I cannot bear with it I can always turn it off
> myself for my environment.
> 
> I just have a strange feeling that we may be seeing some twisted shell
> script updates and when the author gets asked why it was written in
> such a strange way, the answer might turn out to be "just to work around
> the false positive from the test-lint", which I would not want to see.

Me neither. But until then it might well be that the benefit of having
this test on by default outweighs this potential problem. It would have
surely detected my fingers typing "echo -n" without my brain being alert
enough to catch this portability issue ;-)

This is the updated version with proper SOBs and an updated commit message
for 2/2 which is trying to sum up the considerations raised in this thread.

Jens Lehmann (2):
  t/Makefile: check helper scripts for non-portable shell commands too
  t/Makefile: always test all lint targets when running tests

 t/Makefile | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

-- 
2.0.1.476.gf051ede